/*
 * Copyright (c) 2012-2014 Kaarle Ritvanen
 * See LICENSE file for license details
 */

define(["aconf/dom", "jquery"], function(dom, $) {
    function set(status, msg, mode) {
	dom.setStatus($("#status"), status);
	dom.setText($("#status p"), msg);

	dom.setVisible($("#logout"), !mode);
	dom.setVisible($("#status div"), mode == "txn");

	$("#commit").prop("disabled", status == "invalid");
    }

    function setError(msg, mode) { set("invalid", msg, mode); }

    return {
	reset: function() { set(null, ""); },
	setError: setError,
	validationReady: function(txnValid) {
	    if (txnValid)
		set("changed", "You have uncommitted changes", "txn");
	    else setError("Some values need checking", "txn");
	}
    };
});
